Bug 9572 - Bad call to mono_mutex_lock result 11
Summary: Bad call to mono_mutex_lock result 11
Status: RESOLVED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: Mono runtime / AOT Compiler (show other bugs)
Version: 4.4.x
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2013-01-15 11:22 UTC by jonathan_chapman
Modified: 2013-03-14 10:52 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description jonathan_chapman 2013-01-15 11:22:22 UTC
In 4.4.54 I performed the following steps on a Samsung Nexus with 4.1.

1. Run application
2. Killed application through the running applications.
3. Cleaned data through settings/Apps
4. Tried to run the application again.

and got an infinite number of the following before I killed the application again.

01-15 11:15:46.864 W/        (13184): Bad call to mono_mutex_lock result 11
01-15 11:15:46.864 F/        (13184): * Assertion at /Users/builder/data/lanes/monodroid-mac-monodroid-4.4-series/c6e52015/source/mono/mono/metadata/loader.c:2181, condition `ret == 0' not met

and the application would not start.
Comment 1 Sebastian Krysmanski 2013-02-06 03:00:41 UTC
Yes, I'm having exactly the same issue. I'm running a Galaxy Nexus with Android 4.2.1.

As temporary workaround you can disable "Use Fast Deploy" in the project settings to make the deployment work again properly.
Comment 2 Jeremy Kolb 2013-02-28 16:24:41 UTC
I'm seeing this as well with a Galaxy S3.
Comment 3 Sebastian Krysmanski 2013-03-01 09:32:39 UTC
This still happens with MfA 4.6.
Comment 4 Jonathan Pryor 2013-03-14 10:52:22 UTC
Fixed in monodroid/47387e9e.